<!doctype html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Exchange Rates</title>
</head>
<body>
<h1>Exchange Rates</h1>

<form th:action="@{/exchangeRates}">

    <label for="startDate">Start Date: </label>
    <input type="text" id="startDate" th:name="startDate">

    <label for="endDate">End Date: </label>
    <input type="text" id="endDate" th:name="endDate">

    <label for="curr">Currencies</label>
    <input type="text" id="curr" th:name="curr" required>

    <button type="submit">Submit</button>
</form>
<br>


<th:block th:each="exchangeRate: ${exchangeRates?.exchangeRates}">

    <span>unit: </span>
    <span th:text="${exchangeRate.unit}"></span>
    <br>

    <span>curency: </span>
    <span th:text="${exchangeRate.currency}"></span>
    <br>

    <th:block th:each="dailyValue: ${exchangeRate.dailyValues}">

        <span>date: </span>
        <span th:text="${dailyValue.date}"></span>

        <span>value: </span>
        <span th:text="${dailyValue.value}"></span>
        <br>
    </th:block>
    <br>
</th:block>
</body>
</html>